% Copyright (C) 2016  Peer Neubert, peer.neubert@etit.tu-chemnitz.de
% 
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.
%
% -------------------------------------
% 
% regions = getSPGridRegionsSeams(I, scheme, scale)
% 
% Detect SP-Grid regions using segment_gridSeams algorithm. For details and 
% parameters see getSPGridRegions.m and segment_gridSeams.m
% 
% scheme ... default '%%_50'
% scale ... default 0.5
%
function regions = getSPGridRegionsSeams(I, scheme, scale)
  
  if ~exist('scheme', 'var')
    scheme = '55_50';
  end
  
  if ~exist('scale', 'var')
    scale = 0.5;
  end  

  params.compactness = 0.75;
  params.useInitialShift = 1;
  regions = getSPGridRegionsScheme(I, scheme, scale, @segment_gridSeamsWithParams, params);
end